<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns="http://schemas.xmlsoap.org/wsdl/" 
xmlns:apachesoap="http://xml.apache.org/xml-soap" 
xmlns:impl="http://intermediacion.redsara.es/xml-schemas" 
xmlns:ns="http://intermediacion.redsara.es/scsp/esquemas/datosespecificos" 
xmlns:pet="http://intermediacion.redsara.es/scsp/esquemas/V3/peticion" 
xmlns:resp="http://intermediacion.redsara.es/scsp/esquemas/V3/respuesta" 
xmlns:sf="http://intermediacion.redsara.es/scsp/esquemas/V3/soapfaultatributos" 
xmlns:desp="http://intermediacion.redsara.es/scsp/esquemas/datosespecificos" 
xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" 
xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" 
xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" 
xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
targetNamespace="http://intermediacion.redsara.es/xml-schemas">
	<wsdl:types>
		<schema targetNamespace="http://intermediacion.redsara.es/xml-schemas" xmlns="http://www.w3.org/2001/XMLSchema">
			<import namespace="http://intermediacion.redsara.es/scsp/esquemas/datosespecificos" schemaLocation="datos-especificos.xsd"/>
			<import namespace="http://intermediacion.redsara.es/scsp/esquemas/V3/peticion" schemaLocation="peticion.xsd"/>
			<import namespace="http://intermediacion.redsara.es/scsp/esquemas/V3/respuesta" schemaLocation="respuesta.xsd"/>
			<import namespace="http://intermediacion.redsara.es/scsp/esquemas/V3/soapfaultatributos" schemaLocation="soapfaultatributos.xsd"/>
		</schema>
	</wsdl:types>
	<wsdl:message name="PeticionReq">
		<wsdl:part name="peticion" element="pet:Peticion"/>
	</wsdl:message>
	<wsdl:message name="PeticionRes">
		<wsdl:part name="respuesta" element="resp:Respuesta"/>
	</wsdl:message>
	<wsdl:message name="FaultSCSP">
		<wsdl:part name="fault" element="sf:Atributos"/>
	</wsdl:message>
	<wsdl:portType name="INSSConsultaPrestacionesTSD">
		<wsdl:operation name="peticionSincrona">
			<wsdl:input name="Peticion" message="impl:PeticionReq"/>
			<wsdl:output name="Respuesta" message="impl:PeticionRes"/>
			<wsdl:fault name="FaultSCSP" message="impl:FaultSCSP"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="INSSConsultaPrestacionesTSDBinding" type="impl:INSSConsultaPrestacionesTSD">
		<wsdlsoap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="peticionSincrona">
			<wsdlsoap:operation soapAction="peticionSincrona" style="document"/>
			<wsdl:input>
				<wsdlsoap:body parts="peticion" use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<wsdlsoap:body parts="respuesta" use="literal"/>
			</wsdl:output>
			<wsdl:fault name="FaultSCSP">
				<wsdlsoap:fault name="FaultSCSP" use="literal"/>
			</wsdl:fault>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="INSS.TSD.ConsultaPrestaciones">
		<wsdl:port name="INSS.TSD.ConsultaPrestaciones" binding="impl:INSSConsultaPrestacionesTSDBinding">
			<wsdlsoap:address location="https://intermediacion.redsara.es/servicios/SVD/INSS.TSD.ConsultaPrestaciones"/>
		</wsdl:port>		
	</wsdl:service>
</wsdl:definitions>
